Subject: RE: How to access physical memory from user space for MPC8260 chip

From: Misbah khan <[email-masked]>
Date: Fri, 20 Jul 2007 04:32:17 -0700 (PDT)

Physical address you can map to  kernel space using ioremap() function 
but you are not clear whether you want to map it to the user space / kernel
space. To map kernel space to user space you should use mmap() functionality
in your driver.

I hope you got the answer to what you were expecting else send the clear
query

regard 
misbah

Fillod Stephane wrote:
> 
> suresh suresh wrote:
>>I have to map physical memory to user space or kernel space. I am
> writing >driver for MPC8260 chip and I want to know how to map any
> 32-bit address >space to user space and kernel space.
> 
> Your question is a linuxppc-embedded FAQ. User-land access is documented
> 
> in Denx's FAQ[1], and accessible through shorter URL[2]. For more 
> information, please follow this thread[3] (not ppc specific actually).
> 
> [1]
> http://www.denx.de/twiki/bin/view/PPCEmbedded/DeviceDrivers#Section_Acce
> ssingPeripheralsFromUserSpace
> [2] http://tinyurl.com/6c7th
> [3] http://article.gmane.org/gmane.linux.ports.ppc.embedded/5053
> 
> In kernel land, ioremap() is all you need.
> 
> Don't forget to use the 'eieio' asm instruction if you want explicit 
> I/O ordering.
> 
> Best Regards,
> -- 
> Stephane, the userland ioremap bot
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded
> 
> 

-- 
View this message in context: http://www.nabble.com/How-to-access-physical-memory-from-user-space-for-MPC8260-chip-tf4067159.html#a11706536
Sent from the linuxppc-embedded mailing list archive at Nabble.com.